summaryrefslogtreecommitdiffstats
path: root/src/spdk/test/spdkcli/raid.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
commit19fcec84d8d7d21e796c7624e521b60d28ee21ed (patch)
tree42d26aa27d1e3f7c0b8bd3fd14e7d7082f5008dc /src/spdk/test/spdkcli/raid.sh
parentInitial commit. (diff)
downloadceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.tar.xz
ceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.zip
Adding upstream version 16.2.11+ds.upstream/16.2.11+dsupstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/spdk/test/spdkcli/raid.sh')
-rwxr-xr-xsrc/spdk/test/spdkcli/raid.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/src/spdk/test/spdkcli/raid.sh b/src/spdk/test/spdkcli/raid.sh
new file mode 100755
index 000000000..9bbde4719
--- /dev/null
+++ b/src/spdk/test/spdkcli/raid.sh
@@ -0,0 +1,46 @@
+#!/usr/bin/env bash
+
+testdir=$(readlink -f $(dirname $0))
+rootdir=$(readlink -f $testdir/../..)
+source $rootdir/test/common/autotest_common.sh
+source $rootdir/test/spdkcli/common.sh
+source $rootdir/test/iscsi_tgt/common.sh
+
+MATCH_FILE="spdkcli_raid.test"
+SPDKCLI_BRANCH="/bdevs"
+testdir=$(readlink -f $(dirname $0))
+. $testdir/common.sh
+
+trap 'on_error_exit;' ERR
+
+timing_enter run_spdk_tgt
+run_spdk_tgt
+timing_exit run_spdk_tgt
+
+timing_enter spdkcli_create_malloc
+$spdkcli_job "'/bdevs/malloc create 8 512 Malloc1' 'Malloc1' True
+'/bdevs/malloc create 8 512 Malloc2' 'Malloc2' True
+"
+timing_exit spdkcli_create_malloc
+
+timing_enter spdkcli_create_raid
+$spdkcli_job "'/bdevs/raid_volume create testraid 0 \"Malloc1 Malloc2\" 4' 'testraid' True
+"
+timing_exit spdkcli_create_raid
+
+timing_enter spdkcli_check_match
+check_match
+timing_exit spdkcli_check_match
+
+timing_enter spdkcli_delete_raid
+$spdkcli_job "'/bdevs/raid_volume delete testraid' '' True
+"
+timing_exit spdkcli_delete_raid
+
+timing_enter spdkcli_delete_malloc
+$spdkcli_job "'/bdevs/malloc delete Malloc1' '' True
+'/bdevs/malloc delete Malloc2' '' True
+"
+timing_exit spdkcli_delete_malloc
+
+killprocess $spdk_tgt_pid